import "./tasks/BAMReadCount.wdl" as BAMReadCount

workflow {{ project_name }} {
	File ref_dir
	String fa
	File fai
	File bed
	File bam
	File bai
	String sample_id
	String docker
	String cluster_config
	String disk_size
	

	call BAMReadCount.BAMReadCount as BAMReadCount {
		input:
		ref_dir=ref_dir,
		fa=fa,
		fai=fai,
		bed=bed,
		bam=bam,
		bai=bai,
		docker=docker,
		disk_size=disk_size,
		cluster_config=cluster_config,
		sample_id=sample_id
	}
}